# Delete an evaluator version

`DELETE /evaluators/{name}/versions/{version}`

Removes the specified evaluator version. Returns 204 whether the version existed or not.

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `name` | `string` | Yes | The name of the resource |
| `version` | `string` | Yes | The version of the EvaluatorVersion to delete. |

### Other parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `undefined` | `string` | No | — |

## Responses

### 204 — There is no content to send for this request, but the headers may be useful.

_No response body._

### 4XX — Client error

Content-Type: `application/json`

A response containing error details.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error` | `Azure.Core.Foundations.Error` | Yes | The error object. |

#### `error` — `Azure.Core.Foundations.Error`

The error object.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string` | Yes | One of a server-defined set of error codes. |
| `message` | `string` | Yes | A human-readable representation of the error. |
| `target` | `string` | No | The target of the error. |
| `details` | `Azure.Core.Foundations.Error[]` | No | An array of details about specific errors that led to this reported error. |
| `innererror` | `Azure.Core.Foundations.InnerError` | No | An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors. |

##### `innererror` — `Azure.Core.Foundations.InnerError`

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string` | No | One of a server-defined set of error codes. |
| `innererror` | `Azure.Core.Foundations.InnerError` | No | (circular reference) |

### 5XX — Server error

Content-Type: `application/json`

A response containing error details.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error` | `Azure.Core.Foundations.Error` | Yes | The error object. |

#### `error` — `Azure.Core.Foundations.Error`

The error object.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string` | Yes | One of a server-defined set of error codes. |
| `message` | `string` | Yes | A human-readable representation of the error. |
| `target` | `string` | No | The target of the error. |
| `details` | `Azure.Core.Foundations.Error[]` | No | An array of details about specific errors that led to this reported error. |
| `innererror` | `Azure.Core.Foundations.InnerError` | No | An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors. |

##### `innererror` — `Azure.Core.Foundations.InnerError`

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string` | No | One of a server-defined set of error codes. |
| `innererror` | `Azure.Core.Foundations.InnerError` | No | (circular reference) |
